Bug 3524 - Samba 64-bit doesn't see quota on Solaris
Samba 64-bit doesn't see quota on Solaris
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.21b
Other Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-18 18:01 UTC by Alex Deiter
Modified: 2006-10-13 00:26 UTC (History)
0 users

See Also:


Attachments
Proposed patch (1.38 KB, patch)
2006-02-18 18:02 UTC, Alex Deiter
no flags Details
Proposed patch for samba 3.0.22 (1.69 KB, patch)
2006-04-04 07:43 UTC, Alex Deiter
no flags Details
Patch for samba 3.0.23c (1.69 KB, patch)
2006-10-12 23:41 UTC, Alex Deiter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Deiter 2006-02-18 18:01:48 UTC
I'm build 64-bit Samba on Solaris 9.

But Samba doesn't see quota for any user on UFS filesystems. I have set a quota for user test:

# /usr/sbin/quota -v test
Disk quotas for test (uid 181):
Filesystem     usage  quota  limit    timeleft  files  quota  limit    timeleft
/export            0   3000   3000                  0      0      0

But dir command shows all free space on a disk:

# smbclient //samba/test -U test -c dir
  .                                   D       0  Sun Feb 19 02:15:26 2006
  ..                                  D       0  Sat Feb 18 23:51:48 2006
  solaris.mntab.txt                   A       0  Sun Feb 19 01:25:06 2006

                50718 blocks of size 1048576. 21933 blocks available

man mnttab on Solaris contain warning:

     The mnttab file system provides the previously  undocumented
     dev=xxx  option  in  the option string for each mounted file
     system. This is provided for legacy applications that  might
     have been using the dev=information option.

     Using dev=option in applications  is  strongly  discouraged.
     The  device  number string represents a  32-bit quantity and
     might not contain correct  information  in  64-bit  environ-
     ments.

Please review proposed patch:

# smbclient //samba/test -U test -c dir
  .                                   D       0  Sun Feb 19 02:15:26 2006
  ..                                  D       0  Sat Feb 18 23:51:48 2006
  solaris.mntab.txt                   A       0  Sun Feb 19 01:25:06 2006

                6000 blocks of size 512. 6000 blocks available

it works fine for me.

Thanks a lot!
Comment 1 Alex Deiter 2006-02-18 18:02:44 UTC
Created attachment 1741 [details]
Proposed patch
Comment 2 Alex Deiter 2006-04-04 07:43:56 UTC
Created attachment 1840 [details]
Proposed patch for samba 3.0.22

Proposed patch for samba 3.0.22
Comment 3 Alex Deiter 2006-10-12 23:41:00 UTC
Created attachment 2184 [details]
Patch for samba 3.0.23c

Patch for samba 3.0.23c
Comment 4 Jeremy Allison 2006-10-13 00:23:03 UTC
Applied thanks (no (C) statement on this one - the patch was too small, sorry :-).

Jeremy.
Comment 5 Alex Deiter 2006-10-13 00:26:04 UTC
Thanks a lot!